# BEGIN SourceDeps(oneline):
BuildRequires: perl(File/Fetch.pm) perl(File/HomeDir.pm) perl(HTTP/Cache/Transparent.pm) perl(Perl/Version.pm) perl(Text/CSV.pm) perl(diagnostics.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	CVE reporting tool
Name: 		cvechecker
Version: 	4.0
Release: 	alt1_2
Group: 		System/Servers
License: 	GPLv3
URL:		https://github.com/sjvermeu/cvechecker/wiki
Source0: 	https://github.com/sjvermeu/cvechecker/archive/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(libbsd)
BuildRequires:	pkgconfig(libconfig)
BuildRequires:	mysql-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(sqlite3)
Requires:	wget
Requires:	xsltproc
Requires:	jq
Source44: import.info

%description
cvechecker reports about possible vulnerabilities on your system by scanning
the installed software and matching the results with the CVE database. This is
not a bullet-proof method and you will most likely have many false positives,
but it is still better than nothing, especially if you are running a
distribution with little security coverage.

%prep
%setup -q -n %{name}-%{name}-%{version}


%build
autoreconf -vfi
%configure \
    --localstatedir=%{_sharedstatedir} \
    --enable-sqlite3 \
    --enable-mysql
%make_build

%install
%makeinstall_std

rm -rf %{buildroot}%{_docdir}/*

%files
%doc README.md ChangeLog docs/userguide.xml
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/cvechecker.conf
%{_bindir}/*
%attr(0644,root,root) %{_mandir}/man1/*
%{_datadir}/cvechecker
%dir %{_sharedstatedir}/cvechecker
%dir %{_sharedstatedir}/cvechecker/local
%dir %{_sharedstatedir}/cvechecker/cache




%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 4.0-alt1_2
- update by mgaimport

* Fri Dec 25 2020 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_1
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 3.9-alt1_2
- update by mgaimport

* Mon Dec 10 2018 Igor Vlasenko <viy@altlinux.ru> 3.9-alt1_1
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 3.8-alt1_2
- update by mgaimport

* Thu Jun 07 2018 Igor Vlasenko <viy@altlinux.ru> 3.8-alt1_1
- update by mgaimport

* Fri May 04 2018 Igor Vlasenko <viy@altlinux.ru> 3.5-alt1_1
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 3.4-alt1_6
- new version

